export default self;
declare const self: Contacts;
declare class Contacts {
    LineType: {
        newFriend: string;
        group: string;
        official: string;
        friends: string;
    };
    viewInfo: {
        type: string;
        data: {};
    };
    newFriendsRequest: any[];
    listBox: ({
        id: string;
        isOpen: boolean;
        count?: undefined;
        list?: undefined;
        memberCountMap?: undefined;
    } | {
        id: string;
        isOpen: boolean;
        count: number;
        list: never[];
        memberCountMap: Map<any, any>;
    } | {
        id: string;
        isOpen: boolean;
        count: number;
        list: never[];
        memberCountMap?: undefined;
    })[];
    searchValue: string;
    loading: boolean;
    addObservers(): void;
    removeObservers(): void;
    handleGroupInfoChange: (list: any) => void;
    handleMemberChange: (members: any) => void;
    friendsListListener(members: any): void;
    initList(): void;
    updateList: (lineTy: any, data: any) => void;
    getList: (lineTy: any) => any;
    getOfficialAccount(): void;
    getFriends(): Promise<import("@newSdk/model/Members").IMember[]>;
    getGroupInfo(): Promise<import("@newSdk/model/GroupInfo").GroupInfo[]>;
    setValue(val: any): void;
    toggleLine(id: any): void;
    get filterList(): ({
        id: string;
        isOpen: boolean;
        count?: undefined;
        list?: undefined;
        memberCountMap?: undefined;
    } | {
        id: string;
        isOpen: boolean;
        count: number;
        list: never[];
        memberCountMap: Map<any, any>;
    } | {
        id: string;
        isOpen: boolean;
        count: number;
        list: never[];
        memberCountMap?: undefined;
    })[];
    showInfo(type: any, data?: {}): Promise<void>;
    setAlias(obj_uid: any, alias: any): Promise<boolean>;
    getNewFriendsReq(): Promise<void>;
    acceptFriend(uid: any, applyId: any): Promise<void>;
    updateFriendApplyStatus(uid: any): void;
    updateFriendApply(members: any): void;
    onContactsBlur(): void;
    clearCache(): void;
}
